package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.SchoolServe;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-7-27 14:23
 */
@Repository
public interface SchoolServeDAO {

    int insert(SchoolServe entity);
    int update(SchoolServe entity);
    int exist(String id);
    SchoolServe get(String id);
    int delete(String id);
    List<SchoolServe> list();
    List<SchoolServe> search(Map<String, Object> searchParams, List<Sort> sortList);

    List<SchoolServe> findByCompanyId(String companyId);

    List<SchoolServe> searchParams(@Param("searchParams") Map<String, Object> searchParams);
}
